# Class GridCAConfiguration

java.lang.Object
com.sun.grid.ca.GridCAConfiguration

All Implemented Interfaces:
  `Serializable`

public class GridCAConfiguration extends Object implements Serializable
Configuration of a `GridCA`. An object of this class holds all necessary information for a GridCA configuration The `validate` method determines wheter the configuration is valid

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GridCAConfiguration()`
Creates a new instance of GridCAConfiguration

## Method Summary

Modifier and Type
Method
Description
`String`
`getAdminUser()`
Get the admin user of the ca.
`String`
`getCaHost()`
Get the host with the filesystem where the private parts of the ca are exists.
`File`
`getCaLocalTop()`
Get the calocaltop directory (local directory which holds the private parts of the ca).
`File`
`getCaTop()`
Get the catop directory (shared directory which holds public parts of the ca).
`File`
`getConfigDir()`
Get the configuration directory of the ca.
`int`
`getDaysValid()`
Get the days the certificates are valid
`File`
`getSgeCaScript()`
Get the sge_ca script.
`File`
`getTmpDir()`
Get the tmp directory of the ca.
`void`
`setAdminUser(String adminUser)`
Set the admin user of the ca
`void`
`setCaHost(String caHost)`
Set the ca host
`void`
`setCaLocalTop(File caLocalTop)`
Set the calocaltop directory
`void`
`setCaTop(File caTop)`
Set the catop directory
`void`
`setConfigDir(File configDir)`
Set the configuration directory of the ca.
`void`
`setDaysValid(int daysValid)`
Set the days the certificates are valid
`void`
`setSgeCaScript(File sgeCaScript)`
Set the sge_ca script.
`void`
`setTmpDir(File tmpDir)`
Set the tmp directory of the ca.
`void`
`validate()`
Validate the configuration of the `GridCA`.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GridCAConfiguration

public GridCAConfiguration()
Creates a new instance of GridCAConfiguration

## Method Details

### validate

public void validate() throws GridCAException
Validate the configuration of the `GridCA`.

Throws:
  `GridCAException` - if the `GridCA` is not proper configured

### getSgeCaScript

public File getSgeCaScript()
Get the sge_ca script. This script will be executed to perform the ca actions

Returns:
  the sge_ca script

### setSgeCaScript

public void setSgeCaScript(File sgeCaScript)
Set the sge_ca script.

Parameters:
  `sgeCaScript` - the sge_ca script

### getCaTop

public File getCaTop()
Get the catop directory (shared directory which holds public parts of the ca).

Returns:
  the catop directory

### setCaTop

public void setCaTop(File caTop)
Set the catop directory

Parameters:
  `caTop` - the catop directory

### getCaLocalTop

public File getCaLocalTop()
Get the calocaltop directory (local directory which holds the private parts of the ca).

Returns:
  the callocaltop directory

### setCaLocalTop

public void setCaLocalTop(File caLocalTop)
Set the calocaltop directory

Parameters:
  `caLocalTop` - the calocaltop directory

### getConfigDir

public File getConfigDir()
Get the configuration directory of the ca. The configuration directory holds the configuration files of the ca. In a standard Gridengine installation the configuration directory is $SGE_ROOT/util/sgeCA

Returns:
  the configuration directory

### setConfigDir

public void setConfigDir(File configDir)
Set the configuration directory of the ca.

Parameters:
  `configDir` - the configuration directory

### getTmpDir

public File getTmpDir()
Get the tmp directory of the ca. For security reasons the tmp directory should be on a local file system only root and the adminuser of the CA should have access on this directory.

Returns:
  the tmp directory of the ca

### setTmpDir

public void setTmpDir(File tmpDir)
Set the tmp directory of the ca.

Parameters:
  `tmpDir` - the tmp directory

### getDaysValid

public int getDaysValid()
Get the days the certificates are valid

Returns:
  the days of validity

### setDaysValid

public void setDaysValid(int daysValid)
Set the days the certificates are valid

Parameters:
  `daysValid` - the days the certificates are valid

### getAdminUser

public String getAdminUser()
Get the admin user of the ca. Most of the files are owned by the admin user. This user needs write write access on the catop directory.

Returns:
  the admin user

### setAdminUser

public void setAdminUser(String adminUser)
Set the admin user of the ca

Parameters:
  `adminUser` - the admin user

### getCaHost

public String getCaHost()
Get the host with the filesystem where the private parts of the ca are exists. Most action can only be executed in the ca host

Returns:
  the the ca host
See Also:
  - `getCaLocalTop()`

### setCaHost

public void setCaHost(String caHost)
Set the ca host

Parameters:
  `caHost` - the ca hsot
See Also:
  - `getCaHost()`